> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Créer un lot

> Crée un lot.

Crée un lot.

```json Corps de la requête theme={null}
{
  "articleId": 11,
  "locationId": 2,
  "name": "LOT-2026-0044"
}
```


## OpenAPI

````yaml openapi.json POST /stock/lots
openapi: 3.0.0
info:
  title: Bonx API
  version: 1.0.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://YOUR-API-URL
        description: Your space API URL, available in Settings → API tokens.
security: []
paths:
  /stock/lots:
    post:
      summary: Create a lot
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          description: API token from your Bonx space.
        - description: >-
            _"articleId" is required (enter it either in parameters or request
            body)_
          in: query
          name: articleId
          required: true
          schema:
            type: integer
        - description: >-
            _"locationId" is required (enter it either in parameters or request
            body)_
          in: query
          name: locationId
          required: true
          schema:
            type: integer
        - in: query
          name: name
          required: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                articleId:
                  nullable: false
                  type: integer
                locationId:
                  nullable: false
                  type: integer
                name:
                  nullable: true
                  type: string
              type: object
        description: >-
          Query parameters can also be provided in the request body as a JSON
          object
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  insertLotsOne:
                    nullable: true
                    properties:
                      article:
                        description: >-
                          Articles with physical reality (= manage-able in
                          stock). This table includes all article types (raw
                          materials, semi-finished, finished products,
                          consumables, etc.)
                        nullable: false
                        properties:
                          code:
                            nullable: true
                            type: string
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                      available:
                        $ref: '#/components/schemas/numeric'
                      id:
                        nullable: false
                        type: integer
                      location:
                        nullable: false
                        properties:
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                      lot:
                        nullable: false
                        type: string
                      total:
                        $ref: '#/components/schemas/numeric'
                    type: object
          description: Response
components:
  schemas:
    numeric:
      nullable: false

````